OMNotebook: IAEX::NotebookWindow Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::NotebookWindow Class Reference

This class describes a mainwindow using the CellDocument. More...

Inheritance diagram for IAEX::NotebookWindow:

List of all members.

## Public Slots
void | updateMenus ()
| Method for enabling/disabling the menus depended on what have been selected in the mainwindow.
void | updateStyleMenu ()
| Method for unpdating the style menu.
void | updateEditMenu ()
| Method for updating the edit menu.
void | updateCellMenu ()
| Method for updating the cell menu.
void | updateFontMenu ()
| Method for updating the font menu.
void | updateFontFaceMenu ()
| Method for updating the face menu.
void | updateFontSizeMenu ()
| Method for updating the size menu.
void | updateFontStretchMenu ()
| Method for updating the stretch menu.
void | updateFontColorMenu ()
| Method for updating the color menu.
void | updateTextAlignmentMenu ()
| Method for updating the alignment menu.
void | updateVerticalAlignmentMenu ()
| Method for updating the vertical alignment menu.
void | updateBorderMenu ()
| Method for updating the border menu.
void | updateMarginMenu ()
| Method for updating the margin menu.
void | updatePaddingMenu ()
| Method for updating the padding menu.
void | updateWindowMenu ()
| Method for updating the window menu.
void | updateWindowTitle ()
| Method for updateing the window title.
void | updateChapterCounters ()
| Method for updateing the chapter counters.
void | setStatusMessage (QString msg)
| Set the status message to msg, if msg is empty the default status message 'Ready' is set.
void | forwardedAction (int action)
| handles forwarded actions
## Public Member Functions
| NotebookWindow (Document *subject, const QString &filename=0, QWidget *parent=0)
| The class constructor.
virtual | ~NotebookWindow ()
| The class destructor.
virtual void | update ()
virtual Document * | document ()
| Return the notebook windons document.
Application * | application ()
## Protected Member Functions
void | keyPressEvent (QKeyEvent *event)
void | keyReleaseEvent (QKeyEvent *event)
| Method for catching some keyevent, and given them new functionality.

## Detailed Description

This class describes a mainwindow using the CellDocument.

Author:
  Ingemar Axelsson and Anders Fernström

This is the main applicationwindow. It contains of a menu, a toolbar, a statusbar and a workspace. The workspace will contain a celldocument view.

Todo:
  implement a timer that saves a document every 5 minutes or so.

Todo:
  Implement section numbering. Could be done with some kind of vistors.

Bug:
  Segmentation fault when quit. Only sometimes.

## Constructor & Destructor Documentation

IAEX::NotebookWindow::NotebookWindow | ( | Document * | subject,
|  | const QString & | filename = `0`,
|  | QWidget * | parent = `0`
| ) |

| The class constructor. Author: Ingemar Axelsson and Anders Fernström Date: 2006-01-17 (update) 2006-01-16 AF, Added an icon to the window Also made som other updates /AF

IAEX::NotebookWindow::~NotebookWindow | ( |  | ) | `[virtual]`

| The class destructor. Author: Ingemar Axelsson and Anders Fernström Date: 2006-01-05 (update) 2005-11-03/04/07 AF, added som things that should be deleted. 2006-01-05 AF, added code so all inputcells are added to the removelist in the highlighter 2006-01-27 AF, remove this notebook window from the list of notebook windows in the main applicaiton

## Member Function Documentation

Application * IAEX::NotebookWindow::application | ( |  | ) |

| Author: Ingemar Axelsson

Document * IAEX::NotebookWindow::document | ( |  | ) | `[virtual]`

| Return the notebook windons document. Author: Anders Fernström Date: 2005-11-30 Implements IAEX::DocumentView.

void IAEX::NotebookWindow::forwardedAction | ( | int | action | ) | `[slot]`

| handles forwarded actions Author: Anders Fernström Date: 2006-04-27

void IAEX::NotebookWindow::keyPressEvent | ( | QKeyEvent * | event | ) | `[protected]`

| Author: Ingemar Axelsson and Anders Fernström

void IAEX::NotebookWindow::keyReleaseEvent | ( | QKeyEvent * | event | ) | `[protected]`

| Method for catching some keyevent, and given them new functionality. Author: Ingemar Axelsson and Anders Fernström Date: 2005-11-22 (update) 2005-11-22 AF, Added support for deleting cells with 'DEL' key.

void IAEX::NotebookWindow::setStatusMessage | ( | QString | msg | ) | `[slot]`

  | Set the status message to msg, if msg is empty the default status message 'Ready' is set. Author: Anders Fernström Date: 2006-02-10 Parameters:
  | msg | A QString containing the status message

void IAEX::NotebookWindow::update | ( |  | ) | `[virtual]`

| Author: Ingemar Axelsson Implements IAEX::DocumentView.

void IAEX::NotebookWindow::updateBorderMenu | ( |  | ) | `[slot]`

| Method for updating the border menu. Author: Anders Fernström Date: 2005-11-07

void IAEX::NotebookWindow::updateCellMenu | ( |  | ) | `[slot]`

| Method for updating the cell menu. Author: Anders Fernström Date: 2006-02-03 2006-04-26 (update) 2006-04-26 AF, update UNGROUP, SLIT CELL

void IAEX::NotebookWindow::updateChapterCounters | ( |  | ) | `[slot]`

| Method for updateing the chapter counters. Author: Anders Fernström Date: 2006-03-02

void IAEX::NotebookWindow::updateEditMenu | ( |  | ) | `[slot]`

| Method for updating the edit menu. Author: Anders Fernström Date: 2005-11-02 2006-04-27 (update) 2006-02-03 AF, check if undo/redo is available. 2006-04-27 AF, check if copied cells exsists.

void IAEX::NotebookWindow::updateFontColorMenu | ( |  | ) | `[slot]`

| Method for updating the color menu. Author: Anders Fernström Date: 2005-11-07

void IAEX::NotebookWindow::updateFontFaceMenu | ( |  | ) | `[slot]`

| Method for updating the face menu. Author: Anders Fernström Date: 2005-11-03

void IAEX::NotebookWindow::updateFontMenu | ( |  | ) | `[slot]`

| Method for updating the font menu. Author: Anders Fernström Date: 2005-11-03

void IAEX::NotebookWindow::updateFontSizeMenu | ( |  | ) | `[slot]`

| Method for updating the size menu. Author: Anders Fernström Date: 2005-11-04

void IAEX::NotebookWindow::updateFontStretchMenu | ( |  | ) | `[slot]`

| Method for updating the stretch menu. Author: Anders Fernström Date: 2005-11-04

void IAEX::NotebookWindow::updateMarginMenu | ( |  | ) | `[slot]`

| Method for updating the margin menu. Author: Anders Fernström Date: 2005-11-07

void IAEX::NotebookWindow::updateMenus | ( |  | ) | `[slot]`

| Method for enabling/disabling the menus depended on what have been selected in the mainwindow. Author: Anders Fernström Date: 2005-11-07 2005-11-15 (update) 2005-11-15 AF, implemented the function

void IAEX::NotebookWindow::updatePaddingMenu | ( |  | ) | `[slot]`

| Method for updating the padding menu. Author: Anders Fernström Date: 2005-11-07

void IAEX::NotebookWindow::updateStyleMenu | ( |  | ) | `[slot]`

| Method for unpdating the style menu. Author: Ingemar Axelsson and Anders Fernström Date: 2005-11-02 (update) 2005-10-28 AF, changed style from QString to CellStyle. 2005-11-02 AF, changed from '->toggle()' to '->setChevked(true)'

void IAEX::NotebookWindow::updateTextAlignmentMenu | ( |  | ) | `[slot]`

| Method for updating the alignment menu. Author: Anders Fernström Date: 2005-11-07

void IAEX::NotebookWindow::updateVerticalAlignmentMenu | ( |  | ) | `[slot]`

| Method for updating the vertical alignment menu. Author: Anders Fernström Date: 2005-11-07

void IAEX::NotebookWindow::updateWindowMenu | ( |  | ) | `[slot]`

| Method for updating the window menu. Author: Anders Fernström Date: 2006-01-27

void IAEX::NotebookWindow::updateWindowTitle | ( |  | ) | `[slot]`

| Method for updateing the window title. Author: Anders Fernström Date: 2006-01-17

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/notebook.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/notebook.cpp